View Issue Details

IDProjectCategoryView StatusLast Update
0023317LazarusIDEpublic2013-02-04 22:31
ReporterBenito van der ZanderAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityrandom
Status closedResolutionfixed 
Product Version1.0.3 (SVN)Product Build1.1 r38276, 2.6.0 x86_64-l.-gtk2 
Target Version1.0.4Fixed in Version1.1 (SVN) 
Summary0023317: crash when closing file
DescriptionLazarus crashed, after I opened and closed (with ctrl+f4) the test file I made for 0023316, in the unrelated, currently opened project.

When I restarted Lazarus and tried it again, it crashed in the same way.


After I restarted Lazarus again, and tried it with another project, it does not crash anymore. (not even with the original project)
Additional Information(lazarus:21389): Gdk-CRITICAL **: IA__gdk_drawable_get_size: assertion `GDK_IS_DRAWABLE (drawable)' failed
----------------
TSourceEditCompletion.ccExecute nil
TApplication.HandleException Access violation
  Stack trace:
  $0000000000D37919 line 1855 of sourceeditor.pp
  $0000000001032673 line 873 of syncompletion.pas
  $000000000061F06B line 1134 of include/customform.inc
  $0000000000873F49 line 4774 of include/wincontrol.inc
  $000000000087A89B line 6628 of include/wincontrol.inc
  $000000000089BA7C line 112 of include/customcontrol.inc
  $00000000005E16B9
  $00000000008763D1 line 5322 of include/wincontrol.inc
  $00000000006201D3 line 1433 of include/customform.inc
  $00000000009AA535 line 117 of lclmessageglue.pas
  $000000000094CD14 line 3591 of gtk2/gtk2proc.inc
  $000000000095CE59 line 32 of gtk2/gtk2callback.inc
  $000000000095CF50 line 50 of gtk2/gtk2callback.inc
  $000000000095D14F line 108 of gtk2/gtk2callback.inc
  $000000000095E722 line 704 of gtk2/gtk2callback.inc
  $00007F1A45390099
TagsNo tags attached.
Fixed in Revision39282
LazTarget1.0.4
Widgetset
Attached Files

Activities

Martin Friebe

2012-11-15 14:56

manager   ~0063845

The trace points to the code completion window. Maybe it was open at that time?

Martin Friebe

2012-11-15 15:04

manager   ~0063846

To reproduce have a SourceEditor with exactly one tab. Start code completion.

With Code-completion open press ctrl f4.

Martin Friebe

2012-11-15 16:34

manager   ~0063847

Please test and close if ok

Issue History

Date Modified Username Field Change
2012-11-14 15:57 Benito van der Zander New Issue
2012-11-14 15:57 Benito van der Zander Widgetset => GTK 2
2012-11-15 14:56 Martin Friebe Note Added: 0063845
2012-11-15 15:02 Martin Friebe Status new => assigned
2012-11-15 15:02 Martin Friebe Assigned To => Martin Friebe
2012-11-15 15:04 Martin Friebe LazTarget => -
2012-11-15 15:04 Martin Friebe Widgetset GTK 2 =>
2012-11-15 15:04 Martin Friebe Note Added: 0063846
2012-11-15 16:34 Martin Friebe Fixed in Revision => 39282
2012-11-15 16:34 Martin Friebe LazTarget - => 1.0.4
2012-11-15 16:34 Martin Friebe Status assigned => resolved
2012-11-15 16:34 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-11-15 16:34 Martin Friebe Resolution open => fixed
2012-11-15 16:34 Martin Friebe Note Added: 0063847
2012-11-15 16:34 Martin Friebe Target Version => 1.0.4
2013-02-04 22:31 Benito van der Zander Status resolved => closed